const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let sheets = payload;

    Mesa.log.info("sheets", sheets);
    if (sheets[0].data['Parent SKU'] == 'Parent SKU') {
      sheets.splice(0, 1);
    }
    
    Mesa.output.next(sheets);
  }
}
